- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::geomgraph::EdgeEndStar Class Reference

A EdgeEndStar is an ordered list of EdgeEnds around a node. More...

`#include <EdgeEndStar.h>`

Inheritance diagram for geos::geomgraph::EdgeEndStar:

List of all members.

## Public Types
typedef std::set< EdgeEnd *, EdgeEndLT > | container
typedef container::iterator | iterator
typedef container::reverse_iterator | reverse_iterator
## Public Member Functions
virtual void | insert (EdgeEnd *e)=0
| Insert a EdgeEnd into this EdgeEndStar.
virtual geom::Coordinate & | getCoordinate ()
| Returns: the coordinate for the node this star is based at or NULL if this is still an unbound star. Be aware that the returned pointer will point to a Coordinate owned by the specific EdgeEnd happening to be the first in the star (ordered CCW)
virtual size_t | getDegree ()
virtual iterator | begin ()
virtual iterator | end ()
virtual reverse_iterator | rbegin ()
virtual reverse_iterator | rend ()
virtual container & | getEdges ()
virtual EdgeEnd * | getNextCW (EdgeEnd *ee)
virtual void | computeLabelling (std::vector< GeometryGraph * > *geom)
virtual int | getLocation (int geomIndex, const geom::Coordinate &p, std::vector< GeometryGraph * > *geom)
virtual bool | isAreaLabelsConsistent ()
virtual void | propagateSideLabels (int geomIndex)
virtual iterator | find (EdgeEnd *eSearch)
virtual std::string | print ()
## Protected Member Functions
virtual void | insertEdgeEnd (EdgeEnd *e)
| Insert an EdgeEnd into the map.
## Protected Attributes
EdgeEndStar::container | edgeMap
| A map which maintains the edges in sorted order around the node.

## Detailed Description

A EdgeEndStar is an ordered list of EdgeEnds around a node.

They are maintained in CCW order (starting with the positive x-axis) around the node for efficient lookup and topology building.

Version:
  1.4

The documentation for this class was generated from the following file:

- EdgeEndStar.h